// Dub_an-shader - Art Noveaux - Dubbilan Custom Shaders  \\
// Feel free to use - just give the appropriate credits :) \\
	

textures/dub_an/km_arena1towerblue
{   
    
        {
                map textures/dub_an/tinfx.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/dub_an/km_arena1towerblue.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/dub_an/dub_greenlighty
{
	qer_editorimage textures/dub_an/dub_greenlighty.tga
	q3map_lightimage textures/dub_an/dub_greenlighty.tga
	q3map_surfacelight 1000
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans

	
	{
		map textures/dub_an/dub_greenlighty.tga
		blendfunc GL_ONE GL_ONE
		tcGen base
                tcmod rotate 100
		//tcMod turb 0.5 0.2 0.5 .2
                tcmod scroll 1.5 -2.8
	}
}

textures/dub_an/dub_an-sky
{
	qer_editorimage textures/dub_an/blueclouds.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun	0.75 0.75 1.1 95 60 80
	q3map_surfacelight 150
	skyparms - 512 -

	{
		map textures/dub_an/blueclouds.tga
		tcMod scroll 0.05 0.1
		tcMod scale 2 2
		depthWrite
	}
	{
		map textures/dub_an/blueclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 2
		tcMod scroll 0.05 0.05
	}
}

textures/dub_an/door_maze
{
	qer_editorimage textures/dub_an/doormaze.tga
	{
		map textures/dub_an/tinfx.tga
		tcGen environment
		rgbGen identity 
	}
	{
		map textures/dub_an/doormaze.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity 
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity 
	}
}

textures/dub_an/door_mind
{
	qer_editorimage textures/dub_an/doormind.tga
	{
		map textures/dub_an/tinfx.tga
		tcGen environment
		rgbGen identity 
	}
	{
		map textures/dub_an/doormind.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity 
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity 
	}
}

textures/dub_an/door_illusive
{
	qer_editorimage textures/dub_an/doorillusive.tga
	{
		map textures/dub_an/tinfx.tga
		tcGen environment
		rgbGen identity 
	}
	{
		map textures/dub_an/doorillusive.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity 
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity 
	}
}

textures/dub_an/door_dub
{
	qer_editorimage textures/dub_an/doordub.tga
	{
		map textures/dub_an/tinfx.tga
		tcGen environment
		rgbGen identity 
	}
	{
		map textures/dub_an/doordub.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity 
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity 
	}
}

textures/dub_an/lightning
{
	qer_editorimage textures/dub_an/lighting01.tga
	q3map_lightimage textures/dub_an/lighting01.tga
	q3map_surfacelight 2000
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	{
	animmap 20 textures/dub_an/lighting01.tga textures/dub_an/lighting02.tga textures/dub_an/lighting03.tga textures/dub_an/lighting04.tga textures/dub_an/lighting05.tga
	blendfunc add
	//rgbGen wave square 0 1 0 1
	}
}

textures/dub_an/glowing_rust
{
	qer_editorimage textures/dub_an/pitted_rustalp.tga
	{
		map textures/dub_an/lighting01.tga
		tcGen environment
		rgbGen identity 
	}
	{
		map textures/dub_an/pitted_rustalp.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity 
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity 
	}
}

textures/dub_an/dub_smallgreen-lamp_6k
{
	qer_editorimage textures/dub_an/smalllamp.tga
	q3map_lightimage textures/dub_an/smalllamp.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 6000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dub_an/smalllamp.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/dub_an/smalllamp.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/dub_an/dub_smallgreen-lamp_10k
{
	qer_editorimage textures/dub_an/smalllamp.tga
	q3map_lightimage textures/dub_an/smalllamp.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dub_an/smalllamp.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/dub_an/smalllamp.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
